package api

import (
	oid "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/object/id"
)

// NodeVersion represent node from tree service.
type NodeVersion struct {
	BaseNodeVersion
	DeleteMarker bool
	IsPrefixNode bool
}

// BaseNodeVersion is minimal node info from tree service.
// Basically used for "system" object.
type BaseNodeVersion struct {
	OID oid.ID
}
